ModificationItem (Java Platform SE 8 )
Keywords: javax.naming.directory.ModificationItem class
Date: 2015-05-24

compact3
javax.naming.directory

## Class ModificationItem

- java.lang.Object
- - javax.naming.directory.ModificationItem

- All Implemented Interfaces:
    Serializable

      public class ModificationItem
      extends Object
      implements Serializable

  This class represents a modification item. It consists of a modification code and an attribute on which to operate.

  A ModificationItem instance is not synchronized against concurrent multithreaded access. Multiple threads trying to access and modify a single ModificationItem instance should lock the object.

  Since:
    1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModificationItem(int mod_op, Attribute attr)` Creates a new instance of ModificationItem.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attribute` | `getAttribute()` Retrieves the attribute associated with this modification item.
    `int` | `getModificationOp()` Retrieves the modification code of this modification item.
    `String` | `toString()` Generates the string representation of this modification item, which consists of the modification operation and its related attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModificationItem

          public ModificationItem(int mod_op,
                                  Attribute attr)

      Creates a new instance of ModificationItem.
      Parameters:
        `mod_op` - Modification to apply. It must be one of: DirContext.ADD_ATTRIBUTE DirContext.REPLACE_ATTRIBUTE DirContext.REMOVE_ATTRIBUTE
        `attr` - The non-null attribute to use for modification.
      Throws:
        `IllegalArgumentException` - If attr is null, or if mod_op is not one of the ones specified above.

  - ### Method Detail

    - #### getModificationOp

          public int getModificationOp()

      Retrieves the modification code of this modification item.
      Returns:
        The modification code. It is one of: DirContext.ADD_ATTRIBUTE DirContext.REPLACE_ATTRIBUTE DirContext.REMOVE_ATTRIBUTE

    - #### getAttribute

          public Attribute getAttribute()

      Retrieves the attribute associated with this modification item.
      Returns:
        The non-null attribute to use for the modification.

    - #### toString

          public String toString()

      Generates the string representation of this modification item, which consists of the modification operation and its related attribute. The string representation is meant for debugging and not to be interpreted programmatically.
      Overrides:
        `toString` in class `Object`
      Returns:
        The non-null string representation of this modification item.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.